## modem-manager-gui 0.0.13-extras12.04.1

=== Makefile ===
include Makefile_h

DESTDIR=$(PREFIX)/bin

all: modem-manager-gui

modem-manager-gui:
	(cd src && ${MAKE} all)
	(cd po && ${MAKE} all)
	
install:
	(cd src && ${MAKE} install)
	(cd resources && ${MAKE} install)
	(cd po && ${MAKE} install)
	
uninstall:
	(cd src && ${MAKE} uninstall)
	(cd resources && ${MAKE} uninstall)
	(cd po && ${MAKE} uninstall)
	
clean:
	(cd src && ${MAKE} clean)
	(cd resources && ${MAKE} clean)
	(cd po && ${MAKE} clean)

=== po/Makefile ===
include ../Makefile_h

PACKAGE = modem-manager-gui
MSGFMT = msgfmt
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(wildcard *.mo)
LOCALEDIR = $(PREFIX)/share/locale
MSGFMT_OPT = -f -v -o

all: 
	for f in $(FILES_PO); do $(MSGFMT) $$f $(MSGFMT_OPT) `basename $$f .po`.mo; done

install: 
	for f in $(FILES_MO); do install -d $(INSTALLPREFIX)$(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES; \
		cp $$f $(INSTALLPREFIX)$(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo; done

uninstall:
	for f in $(FILES_MO); do \
		rm -f $(INSTALLPREFIX)$(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo; done

messages:
	xgettext -k_ -kN_ ../src/*.c -o modem-manager-gui.pot
	xgettext -j -L Glade ../src/*.ui -o modem-manager-gui.pot

clean:
	for f in $(FILES_MO); do \
		rm -f $$f; done

=== resources/Makefile ===
include ../Makefile_h

RESDIR   = $(PREFIX)/share/modem-manager-gui
PIXDESTDIR = $(PREFIX)/share/pixmaps
APPSDIR = /usr/share/applications

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install dev-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install sms-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install ussd-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install info-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install scan-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install cont-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install traffic-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)
	install -d $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
	install modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
	install -d $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
	install extras-modem-manager-gui.desktop $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/modem-manager-gui.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/dev-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/sms-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/ussd-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/info-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/scan-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/cont-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESDIR)/traffic-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)/modem-manager-gui.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)/extras-modem-manager-gui.desktop

clean:
	rm -f extras-modem-manager-gui.desktop

=== src/Makefile ===
include ../Makefile_h

BINDIR    = $(PREFIX)/bin
GCC       = gcc
#CFLAGS    = -mtune=native -O3 -D_GNU_SOURCE
ifeq ($(LIBINDICATE),1)
LIBV3     = `pkg-config --cflags --libs gtk+-3.0 gthread-2.0` `pkg-config --cflags --libs gmodule-2.0` -I/usr/include/libindicate-0.7/ -I/usr/include/libdbusmenu-glib-0.4/ -lgdbm -lnotify -lindicate
else ifeq ($(LIBINDICATE),0)
LIBV3     = `pkg-config --cflags --libs gtk+-3.0 gthread-2.0` `pkg-config --cflags --libs gmodule-2.0` -lgdbm -lnotify -D_NO_LIBINDICATE
endif
OBJ       = settings.o smsdb.o encoding.o nm.o dbus-api.o main.o

all: modem-manager-gui

modem-manager-gui: $(OBJ)
	$(GCC) $(OBJ) $(LIBV3) -o modem-manager-gui

.c.o:
	$(GCC) $(LIBV3) -c $(CFLAGS) $< -o $@

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)
	install modem-manager-gui $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)
	install modem-manager-gui.ui $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)/modem-manager-gui
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)/modem-manager-gui.ui

clean:
	rm -f *.o
	rm -f modem-manager-gui

=== debian/changelog ===
modem-manager-gui (0.0.13-extras12.04.1) precise; urgency=low

  [ Alex F ] 
  * Initial release
  * Libindicate support (unread SMS indication)
  * Libnotify support (new SMS indication)
  * Russian localization added
  * Various fixes
  * Appearance changes
  * Traffic monitoring
  * Ubuntu ARB suggested fixes
  * Libindicate can be disabled
  * Network Manager traffic statistics can be disabled
  * SMS message validation changes
  * Traffic limits control
  * USSD session support and additional request validation

  [ Bhavani Shankar ]
  * Remove man page and stop building it as its not required
    as of now.
  * Minor Version bumped due to the above change.

 -- Alex F <alex@linuxonly.ru>  Thu, 6 Sep 2012 20:02:00 +0400

=== debian/control ===
Source: modem-manager-gui
Section: x11
Priority: extra
Maintainer: Alex <alex@linuxonly.ru>
Build-Depends: debhelper (>= 8.0.0), pkg-config, autotools-dev, libgtk-3-dev (>= 3.4.2), libglib2.0-dev (>= 2.32.3), libgdbm-dev (>= 1.8.3), libnotify-dev (>= 0.7.5), libindicate-dev (>= 0.6.92), libindicate-gtk3-dev (>= 0.6.92), 
Standards-Version: 3.9.3
Homepage: http://linuxonly.ru
#Vcs-Git: git://git.debian.org/collab-maint/gmm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/gmm.git;a=summary

Package: modem-manager-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config, libgtk-3-0 (>= 3.4.2), libglib2.0-0 (>= 2.32.3), libgdbm3 (>= 1.8.3), libnotify4 (>= 0.7.5), modemmanager (>= 0.5.2), network-manager (>= 0.9.4.0), libindicate5 (>= 0.6.92)
Description: Modem Manager GUI
 This program is simple graphical interface for Modem Manager 
 daemon D-bus interface.
 Current features:
 - View device information: Operator name, Mode, IMEI, IMSI,
   Signal level.
 - Send and receive SMS messages with long massages 
   concatenation and store messages in database.
 - Send USSD requests and read answers in GSM7 and UCS2 formats
   converted to system UTF8 charset.
 - Scan available mobile networks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/opt/extras.ubuntu.com/modem-manager-gui --enable-libindicate

## modem-manager-gui 0.0.16

=== Makefile ===
--- 
+++ 
@@ -6,20 +6,26 @@
 
 modem-manager-gui:
 	(cd src && ${MAKE} all)
+	(cd src/modules && ${MAKE} all)
 	(cd po && ${MAKE} all)
 	
 install:
 	(cd src && ${MAKE} install)
+	(cd src/modules && ${MAKE} install)
 	(cd resources && ${MAKE} install)
 	(cd po && ${MAKE} install)
-	
+	(cd man && ${MAKE} install)
+
 uninstall:
 	(cd src && ${MAKE} uninstall)
+	(cd src/modules && ${MAKE} uninstall)
 	(cd resources && ${MAKE} uninstall)
 	(cd po && ${MAKE} uninstall)
+	(cd man && ${MAKE} uninstall)
 	
 clean:
 	(cd src && ${MAKE} clean)
+	(cd src/modules && ${MAKE} clean)
 	(cd resources && ${MAKE} clean)
 	(cd po && ${MAKE} clean)

=== man/Makefile ===
include ../Makefile_h

GZIP = gzip -f --best
FILES_MAN:=$(wildcard *.1)
FILES_GZ:=$(wildcard *.gz)
MANDIR = $(PREFIX)/share/man/man1

all:

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(MANDIR); 
	for f in $(FILES_MAN); do install -m 644 $$f $(INSTALLPREFIX)$(DESTDIR)$(MANDIR); $(GZIP) $(INSTALLPREFIX)$(DESTDIR)$(MANDIR)/$$f; done

uninstall:
	for f in $(FILES_MAN); do rm -f $(INSTALLPREFIX)$(DESTDIR)$(MANDIR)/$$f.gz; done

clean:

=== resources/Makefile ===
include ../Makefile_h

RESUIDIR   = $(PREFIX)/share/modem-manager-gui/ui
RESPIXDIR  = $(PREFIX)/share/modem-manager-gui/pixmaps
RESSNDDIR  = $(PREFIX)/share/modem-manager-gui/sounds
PIXDESTDIR = $(PREFIX)/share/pixmaps
APPSDIR    = /usr/share/applications

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(RESUIDIR)
	cp modem-manager-gui.ui $(INSTALLPREFIX)$(DESTDIR)$(RESUIDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp dev-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp sms-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp ussd-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp info-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp scan-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp cont-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp traffic-tb.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp sms-unread.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp sms-read.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp message-received.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp message-sent.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp message-drafts.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp info-equipment.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp info-network.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	cp info-location.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(RESSNDDIR)
	cp message.ogg $(INSTALLPREFIX)$(DESTDIR)$(RESSNDDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
	cp modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
	cp *modem-manager-gui.desktop $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESUIDIR)/modem-manager-gui.ui
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/modem-manager-gui.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/dev-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/sms-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/ussd-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/scan-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/cont-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/traffic-tb.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/sms-unread.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/sms-read.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/message-received.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/message-sent.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/message-drafts.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-equipment.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-network.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-location.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESSNDDIR)/message.ogg
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)/modem-manager-gui.png
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)/*modem-manager-gui.desktop

clean:
	rm -f *modem-manager-gui.desktop

=== src/Makefile ===
include ../Makefile_h

BINDIR    = $(PREFIX)/bin
GCC       = gcc
#CFLAGS    = -mtune=native -O3 -D_GNU_SOURCE
LIB       = `pkg-config --cflags --libs gtk+-3.0 gthread-2.0` `pkg-config --cflags --libs gmodule-2.0` -lgdbm
OBJ       = settings.o strformat.o libpaths.o notifications.o addressbooks.o ayatana.o smsdb.o trafficdb.o ussdlist.o encoding.o netlink.o mmguicore.o main.o

all: modem-manager-gui

modem-manager-gui: $(OBJ)
	$(GCC) $(OBJ) $(LIB) -o modem-manager-gui

.c.o:
	$(GCC) $(LIB) -c $(CFLAGS) $< -o $@

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)
	install modem-manager-gui $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)/modem-manager-gui

clean:
	rm -f *.o
	rm -f modem-manager-gui

=== src/modules/Makefile ===
include ../../Makefile_h

GCCMOD     = gcc -shared -fPIC
#CFLAGS     = -g -mtune=native -O3
LIBMOD     = `pkg-config --cflags --libs glib-2.0` `pkg-config --cflags --libs gmodule-2.0` `pkg-config --cflags --libs gio-2.0`
OBJMOD1    = mm06.o
OBJMOD2    = mm07.o
OBJMOD3    = nm09.o
OBJMOD4    = pppd245.o
LIBDIR     = $(LIBPATH)/modem-manager-gui/modules/

all: mm06 mm07 nm09 pppd245

mm06: $(OBJMOD1)
	$(GCCMOD) $(OBJMOD1) $(LIBMOD) -o modmm_mm06.so

mm07: $(OBJMOD2)
	$(GCCMOD) $(OBJMOD2) $(LIBMOD) -o modmm_mm07.so

nm09: $(OBJMOD3)
	$(GCCMOD) $(OBJMOD3) $(LIBMOD) -o modcm_nm09.so

pppd245: $(OBJMOD4)
	$(GCCMOD) $(OBJMOD4) $(LIBMOD) -o modcm_pppd245.so

.c.o:
	$(GCCMOD) $(LIBMOD) -c $(CFLAGS) $<

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)
	cp modmm_mm06.so $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)
	cp modmm_mm07.so $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)
	cp modcm_nm09.so $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)
	cp modcm_pppd245.so $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)/modmm_mm06.so
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)/modmm_mm07.so
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)/modcm_nm09.so
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)/modcm_pppd245.so

clean:
	rm -f *.o
	rm -f modmm_mm06.so
	rm -f modmm_mm07.so
	rm -f modcm_nm09.so
	rm -f modcm_pppd245.so

=== debian/changelog ===
modem-manager-gui (0.0.16-2) unstable; urgency=low

  * Skip dh_auto_clean if Makefile_h does not exist.
    (Fixes FTBFS with debhelper >= 9.20130720)

 -- Graham Inggs <graham@nerve.org.za>  Tue, 03 Sep 2013 15:15:54 +0200

modem-manager-gui (0.0.16-1) unstable; urgency=low

  * Initial release (Closes: #710256).

 -- Graham Inggs <graham@nerve.org.za>  Tue, 30 Jul 2013 12:51:59 +0200

=== debian/control ===
Source: modem-manager-gui
Section: net
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libgdbm-dev,
               libglib2.0-dev,
               libgtk-3-dev
Standards-Version: 3.9.4
Homepage: http://linuxonly.ru/cms/page.php?7
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/modem-manager-gui.git
Vcs-Git: git://anonscm.debian.org/collab-maint/modem-manager-gui.git

Package: modem-manager-gui
Architecture: any
Depends: modemmanager (>= 0.5.2) | wader-core (>= 0.5.12),
         network-manager (>= 0.9.4.0),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: evolution-data-server,
          libcanberra0,
          libindicate5 | libmessaging-menu0,
          libnotify4
Pre-Depends: ${misc:Pre-Depends}
Description: Modem Manager GUI
 This program is a simple graphical interface for Modem Manager and Wader
 daemon D-Bus interfaces. It can send, receive and store SMS messages,
 send USSD requests and read answers in GSM7 and UCS2 formats,
 and scan for available mobile networks.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@

override_dh_auto_clean:
	if [ -f Makefile_h ] ; then \
	    dh_auto_clean ; \
	fi

=== debian/watch ===
# Source code is downloadable from the following URL,
# which cannot be parsed by uscan.
#
# http://linuxonly.ru/cms/download.php?list.8

## modem-manager-gui 0.0.17.1

=== Makefile ===
include Makefile_h

DESTDIR=$(PREFIX)/bin

all: modem-manager-gui

modem-manager-gui:
	(cd src && ${MAKE} all)
	(cd src/modules && ${MAKE} all)
	(cd src/plugins && ${MAKE} all)
	(cd po && ${MAKE} all)
	(cd man && ${MAKE} all)
	(cd help && ${MAKE} all)
	(cd appdata && ${MAKE} all)
	
install:
	(cd src && ${MAKE} install)
	(cd src/modules && ${MAKE} install)
	(cd src/plugins && ${MAKE} install)
	(cd resources && ${MAKE} install)
	(cd po && ${MAKE} install)
	(cd man && ${MAKE} install)
	(cd help && ${MAKE} install)
	(cd appdata && ${MAKE} install)

uninstall:
	(cd src && ${MAKE} uninstall)
	(cd src/modules && ${MAKE} uninstall)
	(cd src/plugins && ${MAKE} uninstall)
	(cd resources && ${MAKE} uninstall)
	(cd po && ${MAKE} uninstall)
	(cd man && ${MAKE} uninstall)
	(cd help && ${MAKE} uninstall)
	(cd appdata && ${MAKE} uninstall)
	
clean:
	(cd src && ${MAKE} clean)
	(cd src/modules && ${MAKE} clean)
	(cd src/plugins && ${MAKE} clean)
	(cd resources && ${MAKE} clean)
	(cd po && ${MAKE} clean)
	(cd man && ${MAKE} clean)
	(cd help && ${MAKE} clean)
	(cd appdata && ${MAKE} clean)

get-program-translations:
	tx pull -a --minimum-perc=5 -r modem-manager-gui.modem-manager-gui-internationalization-template;

update-program-translations-source:
	tx push -s -r modem-manager-gui.modem-manager-gui-internationalization-template;

get-man-translations:
	tx pull -a --minimum-perc=5 -r modem-manager-gui.modem-manager-gui-man-page-template;

update-man-translations-source:
	tx push -s -r modem-manager-gui.modem-manager-gui-man-page-template;

get-appdata-translations:
	tx pull -a --minimum-perc=5 -r modem-manager-gui.modem-manager-gui-appdata-file-template;

update-appdata-translations-source:
	tx push -s -r modem-manager-gui.modem-manager-gui-appdata-file-template;

get-help-translations:
	tx pull -a --minimum-perc=5 -r modem-manager-gui.modem-manager-gui-help-template;

update-help-translations-source:
	tx push -s -r modem-manager-gui.modem-manager-gui-help-template;

=== man/Makefile ===
include ../Makefile_h

FILES_MAN:=$(wildcard *.1)
FILES_MAN:= $(filter-out modem-manager-gui.1, $(FILES_MAN))
FILES_PO:=$(wildcard *.po)
CMANDIR = $(PREFIX)/share/man/man1
LMANDIR = $(PREFIX)/share/man/
LMANFILE = /man1/modem-manager-gui.1

all:
	for f in $(FILES_PO); do \
		po4a-translate -f man -m modem-manager-gui.1 -p $$f -l `basename $$f .po`.1 -k 5; \
	done

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR);
	install -m 644 modem-manager-gui.1 $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR);
	gzip -f --best $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR)/modem-manager-gui.1;
	for f in $(FILES_MAN); do \
		install -d $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)`basename $$f .1`/man1; \
		cp $$f $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)`basename $$f .1`$(LMANFILE); \
		gzip -f --best $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)`basename $$f .1`$(LMANFILE); \
	done

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(CMANDIR)/modem-manager-gui.1.gz;
	for f in $(FILES_MAN); do \
		rm -f $(INSTALLPREFIX)$(DESTDIR)$(LMANDIR)`basename $$f .1`$(LMANFILE).gz; \
	done

messages:
	po4a-gettextize -f man -m modem-manager-gui.1 -p modem-manager-gui.pot

clean:
	for f in $(FILES_MAN); do \
		rm -f $$f; \
	done

=== po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 messages:
 	xgettext -k_ -kN_ ../src/*.c -o modem-manager-gui.pot
-	xgettext -j -L Glade ../src/*.ui -o modem-manager-gui.pot
+	xgettext -j -L Glade ../resources/*.ui -o modem-manager-gui.pot
 
 clean:
 	for f in $(FILES_MO); do \

=== resources/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 RESPIXDIR  = $(PREFIX)/share/modem-manager-gui/pixmaps
 RESSNDDIR  = $(PREFIX)/share/modem-manager-gui/sounds
 PIXDESTDIR = $(PREFIX)/share/pixmaps
-APPSDIR    = /usr/share/applications
+APPSDIR    = $(PREFIX)/share/applications
 
 install:
 	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(RESUIDIR)
@@ -26,12 +26,17 @@
 	cp info-equipment.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
 	cp info-network.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
 	cp info-location.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
+	cp signal-0.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
+	cp signal-25.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
+	cp signal-50.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
+	cp signal-75.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
+	cp signal-100.png $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)
 	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(RESSNDDIR)
 	cp message.ogg $(INSTALLPREFIX)$(DESTDIR)$(RESSNDDIR)
 	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
 	cp modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
 	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
-	cp *modem-manager-gui.desktop $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
+	cp modem-manager-gui.desktop $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
 
 uninstall:
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESUIDIR)/modem-manager-gui.ui
@@ -51,10 +56,15 @@
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-equipment.png
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-network.png
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/info-location.png
+	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/signal-0.png
+	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/signal-25.png
+	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/signal-50.png
+	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/signal-75.png
+	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESPIXDIR)/signal-100.png
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESSNDDIR)/message.ogg
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)/modem-manager-gui.png
-	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)/*modem-manager-gui.desktop
+	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)/modem-manager-gui.desktop
 
 clean:
-	rm -f *modem-manager-gui.desktop
+	rm -f modem-manager-gui.desktop

=== src/Makefile ===
include ../Makefile_h

BINDIR    = $(PREFIX)/bin
GCC       = gcc
#CFLAGS    = -mtune=native -O3 -D_GNU_SOURCE
LIB       = `pkg-config --cflags --libs gtk+-3.0 gthread-2.0` `pkg-config --cflags --libs gmodule-2.0` -lgdbm
OBJ       = settings.o strformat.o libpaths.o notifications.o addressbooks.o ayatana.o smsdb.o trafficdb.o providersdb.o modem-settings.o ussdlist.o encoding.o vcard.o netlink.o mmguicore.o contacts-page.o traffic-page.o scan-page.o info-page.o ussd-page.o sms-page.o devices-page.o main.o

all: modem-manager-gui

modem-manager-gui: $(OBJ)
	$(GCC) $(OBJ) $(LDFLAGS) $(LIB) -o modem-manager-gui

.c.o:
	$(GCC) $(LIB) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)
	install modem-manager-gui $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)/modem-manager-gui

clean:
	rm -f *.o
	rm -f modem-manager-gui

=== src/modules/Makefile ===
include ../../Makefile_h

GCCMOD     = gcc -fPIC
GCCLMOD    = gcc -shared
INCMOD     = `pkg-config --cflags glib-2.0` `pkg-config --cflags  gmodule-2.0` `pkg-config --cflags gio-2.0`
LIBMOD     = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0`
LIBMOD1    = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0` -lgdbm
LIBMOD2    = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0` -lgdbm
LIBMOD5    = `pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0` `pkg-config --libs gio-2.0` -lgdbm -lrt
OBJMOD1    = smsdb.o encoding.o mm06.o
OBJMOD2    = smsdb.o encoding.o mm07.o
OBJMOD3    = nm09.o
OBJMOD4    = pppd245.o
OBJMOD5    = smsdb.o encoding.o historyshm.o vcard.o ofono109.o
OBJMOD6    = connman112.o
LIBDIR     = $(LIBPATH)/modem-manager-gui/modules/

all: mm06 mm07 nm09 pppd245 ofono109 connman112

#Modem Manager <= 0.6.2
mm06: $(OBJMOD1)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD1) $(LIBMOD1) -o modmm_mm06.so
#Modem Manager >= 0.7.0
mm07: $(OBJMOD2)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD2) $(LIBMOD2) -o modmm_mm07.so
#Network Manager >= 0.9.0
nm09: $(OBJMOD3)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD3) $(LIBMOD) -o modcm_nm09.so
#PPPD >= 2.4.5
pppd245: $(OBJMOD4)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD4) $(LIBMOD) -o modcm_pppd245.so
#oFono >= 1.9
ofono109: $(OBJMOD5)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD5) $(LIBMOD5) -o modmm_ofono109.so
#Connman >= 1.12
connman112: $(OBJMOD6)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OBJMOD6) $(LIBMOD) -o modcm_connman112.so
#Shared SMS database
smsdb.o: ../smsdb.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
#Shared string encoding functions
encoding.o: ../encoding.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
#Shared VCard format parser
vcard.o: ../vcard.c
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

.c.o:
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)
	cp *.so $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(LIBDIR)/*.so

clean:
	rm -f *.o
	rm -f *.so

=== src/plugins/Makefile ===
include ../../Makefile_h

GCCMOD      = gcc -fPIC
GCCLMOD     = gcc -shared
INCMOD      = `pkg-config --cflags glib-2.0` `pkg-config --cflags ofono`
LIBMOD      = `pkg-config --libs glib-2.0` -lgdbm -lrt
OFONOOBJMOD = ofonohistory.o
OFONOLIBDIR = $(LIBPATH)/ofono/plugins/
FILES_OFONO:= $(wildcard mmgui-ofono*.so)

all: ofonohistory

ifeq ($(OFONOPLUGIN),true)
ofonohistory: $(OFONOOBJMOD)
	$(GCCLMOD) $(INCMOD) $(LDFLAGS) $(OFONOOBJMOD) $(LIBMOD) -o mmgui-ofono-history.so
else
ofonohistory:
	
endif

.c.o:
	$(GCCMOD) $(INCMOD) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(OFONOLIBDIR)
	for f in $(FILES_OFONO); do \
		cp $$f $(INSTALLPREFIX)$(DESTDIR)$(OFONOLIBDIR); \
	done

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(OFONOLIBDIR)/*.so

clean:
	rm -f *.o
	rm -f *.so

=== debian/changelog ===
modem-manager-gui (0.0.17.1-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1385821)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 26 Oct 2014 14:23:36 +0100

modem-manager-gui (0.0.17.1-2) unstable; urgency=medium

  * Update d/copyright:
    - add license info for appdata/appdata.its
    - add license info for help/* (Closes: #765574)
    - add license info for resources/signal-*.png

 -- Graham Inggs <graham@nerve.org.za>  Thu, 16 Oct 2014 20:39:29 +0200

modem-manager-gui (0.0.17.1-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream release.
  * Update d/patches:
    - drop patches included upstream
    - update fix-hyphen-used-as-minus-sign.patch
    - new missing-ofono-pkg-config.patch
  * Update d/control:
    - add Build-Depends, Depends and Recommends for new functionality
    - new package descriptions to make Lintian happy
    - bump Standards-Version to 3.9.6 (no changes)
  * Update d/copyright:
    - update copyright years to 2014
    - use updated GPL-3.0+ template
    - fix typo: messages-*.png instead of message-*.png
  * Update Lintian spelling-error-in-binary override.

  [ Marius B. Kotsbak ]
  * Add debug symbols package (Closes: #756936).

 -- Graham Inggs <graham@nerve.org.za>  Thu, 16 Oct 2014 00:26:16 +0200

modem-manager-gui (0.0.16-3) unstable; urgency=medium

  * Change architecture to linux-any (Closes: #721782).
  * New d/patches/clang_FTBFS_Wreturn-type.patch:
    Non-void functions should return a value (Closes: #743741).
    (Fixes FTBFS with clang instead of gcc)
  * Bump Standards-Version to 3.9.5, no changes.
  * Update d/watch.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 08 Jun 2014 11:41:49 +0200

=== debian/control ===
Source: modem-manager-gui
Section: net
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               itstool,
               libgdbm-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               ofono-dev (>= 1.9),
               po4a
Standards-Version: 3.9.6
Homepage: http://linuxonly.ru/cms/page.php?7
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/modem-manager-gui.git
Vcs-Git: git://anonscm.debian.org/collab-maint/modem-manager-gui.git

Package: modem-manager-gui
Architecture: linux-any
Depends: modemmanager (>= 0.5.2) | wader-core (>= 0.5.12) | ofono (>= 1.9),
         network-manager (>= 0.9.4.0) | connman (>= 1.12) | ppp (>= 2.4.5),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mobile-broadband-provider-info, yelp
Suggests: evolution-data-server,
          libcanberra0,
          libindicate5 | libmessaging-menu0,
          libnotify4
Pre-Depends: ${misc:Pre-Depends}
Description: GUI front-end for ModemManager / Wader / oFono
 This program is a simple graphical interface for ModemManager, Wader and oFono
 daemon D-Bus interfaces. It can send, receive and store SMS messages,
 send USSD requests and read answers in GSM7 and UCS2 formats,
 and scan for available mobile networks.

Package: modem-manager-gui-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: modem-manager-gui (= ${binary:Version}), ${misc:Depends}
Description: GUI front-end for ModemManager / Wader / oFono - debugging symbols
 This package contains detached debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,11 @@
 	if [ -f Makefile_h ] ; then \
 	    dh_auto_clean ; \
 	fi
+
+override_dh_strip:
+	dh_strip --dbg-package=modem-manager-gui-dbg
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf debian/tmp/usr/share/help/en_US/
+	rm -rf debian/tmp/usr/share/man/en_US/

## modem-manager-gui 0.0.18

=== Makefile ===
include Makefile_h

DESTDIR=$(PREFIX)/bin

all: modem-manager-gui

modem-manager-gui:
	(cd src && ${MAKE} all)
	(cd src/modules && ${MAKE} all)
	(cd src/plugins && ${MAKE} all)
	(cd po && ${MAKE} all)
	(cd man && ${MAKE} all)
	(cd help && ${MAKE} all)
	(cd appdata && ${MAKE} all)
	(cd polkit && ${MAKE} all)

install:
	(cd src && ${MAKE} install)
	(cd src/modules && ${MAKE} install)
	(cd src/plugins && ${MAKE} install)
	(cd resources && ${MAKE} install)
	(cd po && ${MAKE} install)
	(cd man && ${MAKE} install)
	(cd help && ${MAKE} install)
	(cd appdata && ${MAKE} install)
	(cd polkit && ${MAKE} install)

uninstall:
	(cd src && ${MAKE} uninstall)
	(cd src/modules && ${MAKE} uninstall)
	(cd src/plugins && ${MAKE} uninstall)
	(cd resources && ${MAKE} uninstall)
	(cd po && ${MAKE} uninstall)
	(cd man && ${MAKE} uninstall)
	(cd help && ${MAKE} uninstall)
	(cd appdata && ${MAKE} uninstall)
	(cd polkit && ${MAKE} uninstall)

clean:
	(cd src && ${MAKE} clean)
	(cd src/modules && ${MAKE} clean)
	(cd src/plugins && ${MAKE} clean)
	(cd resources && ${MAKE} clean)
	(cd po && ${MAKE} clean)
	(cd man && ${MAKE} clean)
	(cd help && ${MAKE} clean)
	(cd appdata && ${MAKE} clean)
	(cd polkit && ${MAKE} clean)

messages:
	(cd appdata && ${MAKE} messages)
	(cd help && ${MAKE} messages)
	(cd man && ${MAKE} messages)
	(cd po && ${MAKE} messages)
	(cd polkit && ${MAKE} messages)

upload-translations-sources:
	tx push -s

download-translations:
	tx pull -a

source-archive:
	(cd src && ${MAKE} clean)
	(cd src/modules && ${MAKE} clean)
	(cd src/plugins && ${MAKE} clean)
	(cd resources && ${MAKE} clean)
	(cd po && ${MAKE} clean)
	(cd man && ${MAKE} clean)
	(cd help && ${MAKE} clean)
	(cd appdata && ${MAKE} clean)
	(cd polkit && ${MAKE} clean)
	chmod +x configure
	tar --exclude='./Makefile_h' --exclude='./src/resources.h' --transform 's,^\.,$(notdir $(CURDIR)),' -zcvf ../$(notdir $(CURDIR)).tar.gz .

=== appdata/Makefile ===
include ../Makefile_h

FILES_PO:=$(wildcard *.po)
FILES_MO:=$(patsubst %.po,%.mo,$(FILES_PO))
APPDATADIR = $(PREFIX)/share/appdata

all: 
	for f in $(FILES_PO); do \
		msgfmt $$f -f -v -o `basename $$f .po`.mo; done
	itstool -i appdata.its -j modem-manager-gui.appdata.xml.in -o modem-manager-gui.appdata.xml $(FILES_MO);

install: 
	install -d $(INSTALLPREFIX)$(DESTDIR)$(APPDATADIR);
	cp modem-manager-gui.appdata.xml $(INSTALLPREFIX)$(DESTDIR)$(APPDATADIR)/modem-manager-gui.appdata.xml

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(APPDATADIR)/modem-manager-gui.appdata.xml

messages:
	itstool -i appdata.its -o modem-manager-gui.appdata.pot modem-manager-gui.appdata.xml.in
	for f in $(FILES_PO); do \
		msgmerge -U $$f modem-manager-gui.appdata.pot; done

clean:
	for f in $(FILES_MO); do \
		rm -f $$f; done
	rm -f modem-manager-gui.appdata.xml

=== help/Makefile ===
include ../Makefile_h

FILES_PO:=$(wildcard *.po)
HELPDIR = $(PREFIX)/share/help
APPDIR = modem-manager-gui

all:
	for f in $(FILES_PO); do \
		mkdir `basename $$f .po`;\
		msgfmt $$f -f -v -o `basename $$f .po`.mo;\
		itstool -m `basename $$f .po`.mo -o `basename $$f .po`/ C/*.page; \
	done

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/C/$(APPDIR);
	cp -r C/* $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/C/$(APPDIR);
	for f in $(FILES_PO); do \
		install -d $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/`basename $$f .po`/$(APPDIR)/figures; \
		cp C/figures/* $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/`basename $$f .po`/$(APPDIR)/figures/; \
		cp `basename $$f .po`/*.page $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/`basename $$f .po`/$(APPDIR)/; \
	done

uninstall:
	rm -rf $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/C/$(APPDIR);
	for f in $(FILES_PO); do \
		rm -rf $(INSTALLPREFIX)$(DESTDIR)$(HELPDIR)/`basename $$f .po`/$(APPDIR); \
	done

messages:
	itstool -o modem-manager-gui-help.pot C/*.page;
	for f in $(FILES_PO); do \
		msgmerge -U $$f modem-manager-gui-help.pot; done

clean:
	for f in $(FILES_PO); do \
		rm -rf `basename $$f .po`; \
		rm -f `basename $$f .po`.mo; \
	done

=== polkit/Makefile ===
include ../Makefile_h

FILES_PO:=$(wildcard *.po)
FILES_MO:=$(patsubst %.po,%.mo,$(FILES_PO))
POLKITACTIONSDIR = $(PREFIX)/share/polkit-1/actions

all:
	for f in $(FILES_PO); do \
		msgfmt $$f -f -v -o `basename $$f .po`.mo; done
	itstool -i polkit.its -j ru.linuxonly.modem-manager-gui.policy.in -o ru.linuxonly.modem-manager-gui.policy $(FILES_MO);

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(POLKITACTIONSDIR);
	cp ru.linuxonly.modem-manager-gui.policy $(INSTALLPREFIX)$(DESTDIR)$(POLKITACTIONSDIR)/ru.linuxonly.modem-manager-gui.policy

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(POLKITACTIONSDIR)/ru.linuxonly.modem-manager-gui.policy

messages:
	itstool -i polkit.its -o ru.linuxonly.modem-manager-gui.policy.pot ru.linuxonly.modem-manager-gui.policy.in
	for f in $(FILES_PO); do \
		msgmerge -U $$f ru.linuxonly.modem-manager-gui.policy.pot; done

clean:
	for f in $(FILES_MO); do \
		rm -f $$f; done
	rm -f ru.linuxonly.modem-manager-gui.policy

=== resources/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	cp modem-manager-gui.png $(INSTALLPREFIX)$(DESTDIR)$(PIXDESTDIR)
 	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
 	cp modem-manager-gui.desktop $(INSTALLPREFIX)$(DESTDIR)$(APPSDIR)
+	mkdir -p $(INSTALLPREFIX)$(DESTDIR)$(POLICYDIR)
 
 uninstall:
 	rm -f $(INSTALLPREFIX)$(DESTDIR)$(RESUIDIR)/modem-manager-gui.ui

=== src/Makefile ===
include ../Makefile_h

BINDIR    = $(PREFIX)/bin
GCC       = gcc
ifeq ($(ADDLIBSNAMES),)
INC       = `pkg-config --cflags gtk+-3.0 gthread-2.0 gmodule-2.0`
LIB       = `pkg-config --libs gtk+-3.0 gthread-2.0 gmodule-2.0` -lgdbm
else
INC       = `pkg-config --cflags gtk+-3.0 gthread-2.0 gmodule-2.0 $(ADDLIBSNAMES)`
LIB       = `pkg-config --libs gtk+-3.0 gthread-2.0 gmodule-2.0 $(ADDLIBSNAMES)` -lgdbm
endif
OBJ       = settings.o strformat.o libpaths.o notifications.o addressbooks.o ayatana.o smsdb.o trafficdb.o providersdb.o modem-settings.o ussdlist.o encoding.o vcard.o netlink.o polkit.o svcmanager.o mmguicore.o contacts-page.o traffic-page.o scan-page.o info-page.o ussd-page.o sms-page.o devices-page.o preferences-window.o welcome-window.o main.o

all: modem-manager-gui

modem-manager-gui: $(OBJ)
	$(GCC) $(INC) $(LDFLAGS) $(OBJ) $(LIB) -o modem-manager-gui

.c.o:
	$(GCC) $(INC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)
	install modem-manager-gui $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(BINDIR)/modem-manager-gui

clean:
	rm -f *.o
	rm -f modem-manager-gui

=== src/plugins/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 GCCMOD      = gcc -fPIC
 GCCLMOD     = gcc -shared
-INCMOD      = `pkg-config --cflags glib-2.0` `pkg-config --cflags ofono`
+INCMOD      = `pkg-config --cflags glib-2.0 ofono`
 LIBMOD      = `pkg-config --libs glib-2.0` -lgdbm -lrt
 OFONOOBJMOD = ofonohistory.o
 OFONOLIBDIR = $(LIBPATH)/ofono/plugins/

=== debian/changelog ===
modem-manager-gui (0.0.18-3) unstable; urgency=medium

  * Migrate from modem-manager-gui-dbg to ddebs,
    bump debhelper build-dependency.
  * Use secure URIs for VCS fields.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Graham Inggs <ginggs@debian.org>  Mon, 04 Apr 2016 16:00:32 +0200

modem-manager-gui (0.0.18-2) unstable; urgency=medium

  * Handle UCS2-encoded MCC/MNC (Closes: #802429)
  * Split the help into a separate package, thanks Lintian

 -- Graham Inggs <ginggs@debian.org>  Mon, 07 Dec 2015 11:07:48 +0200

modem-manager-gui (0.0.18-1) unstable; urgency=medium

  * New upstream release, includes:
    - Fix crash on NULL strings (Closes: #764693)
    - Fix libebook 3.16 API break (Closes: #790494)
  * Add Build-Depends on libgtkspell3-3-dev and
    let modem-manager-gui Depends on policykit-1.
  * Drop patches:
    - fix-hyphen-used-as-minus-sign.patch, fixed upstream
    - missing-ofono-pkg-config.patch, fixed in ofono (cf. #763111)
  * Update my email address, copyright years.

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Oct 2015 16:38:46 +0200

=== debian/control ===
Source: modem-manager-gui
Section: net
Priority: optional
Maintainer: Graham Inggs <ginggs@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.20150628),
               itstool,
               libgdbm-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtkspell3-3-dev,
               ofono-dev (>= 1.9),
               po4a
Standards-Version: 3.9.7
Homepage: http://linuxonly.ru/cms/page.php?7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/modem-manager-gui.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/modem-manager-gui.git

Package: modem-manager-gui
Architecture: linux-any
Depends: modemmanager (>= 0.5.2) | wader-core (>= 0.5.12) | ofono (>= 1.9),
         network-manager (>= 0.9.4.0) | connman (>= 1.12) | ppp (>= 2.4.5),
         policykit-1,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mobile-broadband-provider-info, modem-manager-gui-help, yelp
Suggests: evolution-data-server,
          libcanberra0,
          libindicate5 | libmessaging-menu0,
          libnotify4
Pre-Depends: ${misc:Pre-Depends}
Description: GUI front-end for ModemManager / Wader / oFono
 This program is a simple graphical interface for ModemManager, Wader and oFono
 daemon D-Bus interfaces. It can send, receive and store SMS messages,
 send USSD requests and read answers in GSM7 and UCS2 formats,
 and scan for available mobile networks.

Package: modem-manager-gui-help
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: modem-manager-gui (<< 0.0.18-2~)
Replaces: modem-manager-gui (<< 0.0.18-2~)
Description: GUI front-end for ModemManager / Wader / oFono - documentation
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	fi
 
 override_dh_strip:
-	dh_strip --dbg-package=modem-manager-gui-dbg
+	dh_strip --ddeb-migration='modem-manager-gui-dbg (<< 0.0.18-3~)'
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://download.tuxfamily.org/gsf/source/ modem-manager-gui-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
# Links from http://linuxonly.ru/cms/download.php?list.8 redirect to download.tuxfamily.org

## modem-manager-gui 0.0.19.1

=== polkit/Makefile ===
include ../Makefile_h

POLKITACTIONSDIR = $(PREFIX)/share/polkit-1/actions

all:
	while read lang; do \
		msgfmt $$lang.po -f -v -o $$lang.mo; \
	done < LINGUAS
	itstool -i its/polkit.its -j ru.linuxonly.modem-manager-gui.policy.in -o ru.linuxonly.modem-manager-gui.policy *.mo

install:
	install -d $(INSTALLPREFIX)$(DESTDIR)$(POLKITACTIONSDIR)
	cp ru.linuxonly.modem-manager-gui.policy $(INSTALLPREFIX)$(DESTDIR)$(POLKITACTIONSDIR)

uninstall:
	rm -f $(INSTALLPREFIX)$(DESTDIR)$(POLKITACTIONSDIR)/ru.linuxonly.modem-manager-gui.policy

messages:
	itstool -i its/polkit.its -o ru.linuxonly.modem-manager-gui.policy.pot ru.linuxonly.modem-manager-gui.policy.in
	while read lang; do \
		msgmerge -U $$lang.po ru.linuxonly.modem-manager-gui.policy.pot; \
	done < LINGUAS

clean:
	rm -f *.mo
	rm -f ru.linuxonly.modem-manager-gui.policy

=== debian/changelog ===
modem-manager-gui (0.0.19.1-2) unstable; urgency=medium

  * Fix memory corruption because of wrong strsep() usage (Closes: #922608)
  * Fix segfault in strftime_l() because of timestamps from future
  * Use secure URI in debian/watch
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 May 2019 12:28:34 +0000

modem-manager-gui (0.0.19.1-1) unstable; urgency=medium

  * New upstream release
    - Fix linker errors (Closes: #893901)
    - Expand SMS folders on first messages
    - Fix spelling errors reported by Lintian
    - Fix polkit preventing module loading without systemd
    - Use generic term 'connection manager' instead of
      'network manager' in warning
    - Fix typo in Russian translation
    - Add Slovak localization

 -- Graham Inggs <ginggs@debian.org>  Sat, 07 Apr 2018 10:12:18 +0000

modem-manager-gui (0.0.19-1) unstable; urgency=medium

  * New upstream release
    - Deprecated GtkStatusIcon has been replaced with AppIndicator
      (Closes: #826399)
    - Stalled connection to Akonadi server bug has been fixed
      (Closes: #834697)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Drop handle-ucs2-mccmnc.patch included upstream
  * Update debian/control, debian/clean and
    debian/modem-manager-gui.install for new upstream version
  * Turn debhelper up to 11
  * Update Homepage and debian/copyright
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 23 Mar 2018 14:17:59 +0000

modem-manager-gui (0.0.18-4) unstable; urgency=medium

  * Switch to debhelper 10
  * Drop override_dh_strip; ddeb migration is complete
  * Drop -pie from DEB_BUILD_MAINT_OPTIONS; no longer needed (Closes: #865609)
  * Drop wader-core as an alternative dependency
  * Update debian/copyright
  * Bump Standards-Version to 4.1.0; no further changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 11 Sep 2017 16:21:07 +0000

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,30 @@
 Section: net
 Priority: optional
 Maintainer: Graham Inggs <ginggs@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9.20150628),
+Build-Depends: debhelper (>= 11),
                itstool,
+               libappindicator3-dev,
                libgdbm-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                libgtkspell3-3-dev,
                ofono-dev (>= 1.9),
                po4a
-Standards-Version: 3.9.7
-Homepage: http://linuxonly.ru/cms/page.php?7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/modem-manager-gui.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/modem-manager-gui.git
+Standards-Version: 4.3.0
+Homepage: https://linuxonly.ru/page/modem-manager-gui
+Vcs-Browser: https://salsa.debian.org/debian/modem-manager-gui
+Vcs-Git: https://salsa.debian.org/debian/modem-manager-gui.git
 
 Package: modem-manager-gui
 Architecture: linux-any
-Depends: modemmanager (>= 0.5.2) | wader-core (>= 0.5.12) | ofono (>= 1.9),
+Depends: mobile-broadband-provider-info,
+         modemmanager (>= 0.5.2) | ofono (>= 1.9),
          network-manager (>= 0.9.4.0) | connman (>= 1.12) | ppp (>= 2.4.5),
          policykit-1,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: mobile-broadband-provider-info, modem-manager-gui-help, yelp
+Recommends: modem-manager-gui-help, yelp
 Suggests: evolution-data-server,
-          libcanberra0,
           libindicate5 | libmessaging-menu0,
           libnotify4
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=3
https://download.tuxfamily.org/gsf/source/ modem-manager-gui-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
# Links from http://linuxonly.ru/cms/download.php?list.8 redirect to download.tuxfamily.org
